Subject: [manet] DLEP r=eview

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 10 Mar 2016 16:33:33 +0000

So far I haven't looked at -20 (and I've heard a rumour of a -21 coming Real Soon Now) I've just looked at comments on comments. Based on the comments alone, looking good on what I've indicated. (Of course not agreed with everything, but I haven't seen anything I felt more strongly about disagreed with, with one partial exception.)

The one I think I'd just take advice on now rather than produce another cycle is the IANA section. It's easy to drop a line to them saying something like "must an IANA section be fully self-contained, or may it include references to tables elsewhere in the document". I think the answer is the former, but I may be wrong.

I have, for my convenience, cut and pasted here two comments to follow up on as well as a read of -20/-21.

> Section 9.5. The whole concept of router signalling modem should be

> brought out earlier in the document. The paragraph starting

> "Concerning layer 3 addresses" is a particularly jarring one in the

> mixture of protocol and data.

This has been heavily reworked in draft-20, but this paragraph remains.

 Can you revisit?

> Section 10., second paragraph, line 3, delete MAY, that's what zero

> means, not an option. (Any use of MAY needs to be elsewhere, and in

> any case it's overruled by RECOMMENDED i.e. SHOULD two lines down.)

Sorry, where?

--
Christopher Dearlove
Senior Principal Engineer
BAE Systems Applied Intelligence Laboratories
__________________________________________________________________________

T:  +44 (0)1245 242194  |  E: [email-masked]<mailto:[email-masked]>

BAE Systems Applied Intelligence, Chelmsford Technology Park, Great Baddow, Chelmsford, Essex CM2 8HN.
www.baesystems.com/ai<http://www.baesystems.com/ai>
BAE Systems Applied Intelligence Limited
Registered in England & Wales No: 01337451
Registered Office: Surrey Research Park, Guildford, Surrey, GU2 7YP

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Lou Berger <[email-masked]>
Date: Thu, 10 Mar 2016 11:42:43 -0500

On 3/10/2016 11:33 AM, Dearlove, Christopher (UK) wrote:
> I’ve heard a rumour of a -21 coming Real Soon Now
eek I had 20 on my reading list -- and I'd like to send specific
recommendations on which text to scratch in order to eliminate duplicate
conformance statements (which looks mostly straightforward to do)  --
but don't want to do it if the draft is a daily moving target.

Authors,
    What are your current document update plans?

Thanks,
Lou

---

From: Rick Taylor <[email-masked]>
Date: Thu, 10 Mar 2016 17:00:30 +0000

All,

Given there is a typo in the current credit windowing draft, and a few 
in dlep-draft-20, and I missed a few of Chris' comments, we intend to 
push out a new draft as soon as possible.  BUT:  We want reviewer 
feedback as well, so we don't end up posting a draft every 2 days.

Ideally, I would like some reviews from the list, especially Lou and 
Chris who have done excellent helpful reviews before, by the end of this 
week, so we can push out draft-21 and exit WG last-call as soon as possible.

Question to the list:  Do you want a draft-21 and accompanying 
credit-windowing draft now?  Or are you happy to review the major 
changes in draft-20, knowing we have already addressed some of the nits.

The current diff between draft-20 and what we have is:

* Some minor text improvements from Chris D's last review (e.g. 'each 
of'/'any of').
* Renumbering the status code values.

What has radically changed since draft-19 is that we have moved most of 
the normative text into Section 8 and 9, and worked hard at improving 
the flow of text (as it had become a bit jumbled).  I would really like 
feedback on this, as I hope it has improved the readability.

Rick

On 10/03/16 16:43, Lou Berger wrote:
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 10 Mar 2016 17:04:54 +0000

I'm not going to make a -20/-21 call, I'll just say I may well not get to this tomorrow (today is done). Let me know when your -21 plan is, and I'll plan accordingly (or, as is also possible, circumstances will plan for me instead).

T:  +44 (0)1245 242194  |  E: [email-masked]

www.baesystems.com/ai

-----Original Message-----
From: Rick Taylor [mailto:[email-masked]] 
Sent: 10 March 2016 17:01
To: Lou Berger; Dearlove, Christopher (UK); Taylor, Rick ([email-masked]) ([email-masked]); [email-masked]
Subject: Re: [manet] DLEP r=eview

----------------------! WARNING ! ---------------------- This message originates from outside our organisation, either from an external partner or from the internet.
Consider carefully whether you should click on any links, open any attachments or reply.
Follow the 'Report Suspicious Emails' link on IT matters for instructions on reporting suspicious email messages.
--------------------------------------------------------

All,

Given there is a typo in the current credit windowing draft, and a few in dlep-draft-20, and I missed a few of Chris' comments, we intend to push out a new draft as soon as possible.  BUT:  We want reviewer feedback as well, so we don't end up posting a draft every 2 days.

Ideally, I would like some reviews from the list, especially Lou and Chris who have done excellent helpful reviews before, by the end of this week, so we can push out draft-21 and exit WG last-call as soon as possible.

Question to the list:  Do you want a draft-21 and accompanying credit-windowing draft now?  Or are you happy to review the major changes in draft-20, knowing we have already addressed some of the nits.

* Some minor text improvements from Chris D's last review (e.g. 'each of'/'any of').
* Renumbering the status code values.

What has radically changed since draft-19 is that we have moved most of the normative text into Section 8 and 9, and worked hard at improving the flow of text (as it had become a bit jumbled).  I would really like feedback on this, as I hope it has improved the readability.

Rick

On 10/03/16 16:43, Lou Berger wrote:
>> I've heard a rumour of a -21 coming Real Soon Now
> recommendations on which text to scratch in order to eliminate 
> duplicate conformance statements (which looks mostly straightforward 
> to do)  -- but don't want to do it if the draft is a daily moving target.
>
> Authors,

---

From: "MATTY, Steven" <[email-masked]>
Date: Thu, 10 Mar 2016 18:35:13 +0000

Rick,

Thanks for the swift turnaround in getting DLEP-20 out.

Only 1 NIT : from a quick peruse, the change to RLQT being a percentage wasn't also done for
RLQR.

Overall, the document reads MUCH better to me with vastly improved flow :)

Personally, I would hope that there isn't going to be a merry-go-round of 'draft-du-jour' .

I wouldn't imaging the diff from -21 to -20 will be huge, so for what it's worth I'd be
happy to see a -21 in last call in the very near future :)

Cheers

Steve

>From: manet [mailto:[email-masked]] On Behalf Of Rick Taylor
>Sent: Thursday, March 10, 2016 5:01 PM
>To: Lou Berger; Dearlove, Christopher (UK); TAYLOR, Rick; [email-masked]
>This mail has originated outside your organization, either from an external
>partner or the Global Internet.
>Keep this in mind if you answer this message.
>

This email (including any attachments) may contain confidential and/or privileged information or information otherwise protected from disclosure. If you are not the intended recipient, please notify the sender immediately, do not copy this message or any attachments and do not use it for any purpose or disclose its content to any person, but delete this message and any attachments from your system. Airbus Defence and Space Limited disclaims any and all liability if this email transmission was virus corrupted, altered or falsified.
-o-
Emails to Airbus Defence and Space Limited may be processed, recorded and monitored outside the UK.
-o-
Airbus Defence and Space Limited, Registered in England and Wales No. 2449259
Registered Office: Gunnels Wood Road, Stevenage, Hertfordshire, SG1 2AS, England

---

From: "Ratliff, Stanley" <[email-masked]>
Date: Thu, 10 Mar 2016 18:37:12 +0000

Steven, 

Thanks. RLQ is *NOT* a percentage. If that's in DLEP-20, then I missed the update, and I oppose. 

Regards,
Stan

> From: manet [mailto:[email-masked]] On Behalf Of MATTY, Steven
> Sent: Thursday, March 10, 2016 1:35 PM
> To: 'Rick Taylor' <[email-masked]>; Lou Berger
> <[email-masked]>; Dearlove, Christopher (UK)
> <[email-masked]>; TAYLOR, Rick <[email-masked]>;
> [email-masked]
> Only 1 NIT : from a quick peruse, the change to RLQT being a percentage
> wasn't also done for RLQR.
> 
> I wouldn't imaging the diff from -21 to -20 will be huge, so for what it's worth
> I'd be happy to see a -21 in last call in the very near future :)
> 
> Cheers
> 
> Steve
> 
> >Chris who have done excellent helpful reviews before, by the end of
> >this week, so we can push out draft-21 and exit WG last-call as soon as
> possible.
> >
> >This mail has originated outside your organization, either from an
> >external partner or the Global Internet.
> This email (including any attachments) may contain confidential and/or
> privileged information or information otherwise protected from disclosure. If
> you are not the intended recipient, please notify the sender immediately, do
> not copy this message or any attachments and do not use it for any purpose
> or disclose its content to any person, but delete this message and any
> attachments from your system. Airbus Defence and Space Limited disclaims
> any and all liability if this email transmission was virus corrupted, altered or
> falsified.
> -o-
> Airbus Defence and Space Limited, Registered in England and Wales No.
> 2449259 Registered Office: Gunnels Wood Road, Stevenage, Hertfordshire,
> SG1 2AS, England
> 

_____________________________________________________
This electronic message and any files transmitted with it contains
information from iDirect, which may be privileged, proprietary
and/or confidential. It is intended solely for the use of the individual
or entity to whom they are addressed. If you are not the original
recipient or the person responsible for delivering the email to the
intended recipient, be advised that you have received this email
in error, and that any use, dissemination, forwarding, printing, or
copying of this email is strictly prohibited. If you received this email
in error, please delete it and immediately notify the sender.
_____________________________________________________

---

From: Lou Berger <[email-masked]>
Date: Thu, 10 Mar 2016 14:44:01 -0500

Rick,

On 3/10/2016 12:00 PM, Rick Taylor wrote:
>From my perspective, since this is a minor change it doesn't make too
much of a difference for my comments.  I should have comments to you on
Monday (worst case Tuesday.).

Lou

---

From: Stan Ratliff <[email-masked]>
Date: Thu, 10 Mar 2016 15:42:55 -0500

> On Mar 10, 2016, at 11:33 AM, Dearlove, Christopher (UK) <[email-masked]> wrote:
> 
> So far I haven’t looked at -20 (and I’ve heard a rumour of a -21 coming Real Soon Now) I’ve just looked at comments on comments. Based on the comments alone, looking good on what I’ve indicated. (Of course not agreed with everything, but I haven’t seen anything I felt more strongly about disagreed with, with one partial exception.)
>  
> The one I think I’d just take advice on now rather than produce another cycle is the IANA section. It’s easy to drop a line to them saying something like “must an IANA section be fully self-contained, or may it include references to tables elsewhere in the document”. I think the answer is the former, but I may be wrong.
>  
> > “Concerning layer 3 addresses” is a particularly jarring one in the

I'm at a bit of a loss as to how to revisit & address the above. Perhaps you could suggest som text? 

Regards,
Stan

>  
> > Section 10., second paragraph, line 3, delete MAY, that’s what zero
> > any case it’s overruled by RECOMMENDED i.e. SHOULD two lines down.)
>  
> Sorry, where?
>  
>  
> --
> 
> Christopher Dearlove

---

From: Christopher Dearlove <[email-masked]>
Date: Thu, 10 Mar 2016 21:27:35 +0000

Sorry, I wasn't clear. Those are bits from Rick commenting on my comments that I couldn't work out what, if anything, my response to was  without reading -20. But to avoid them being lost in the various postings I abstracted them to one place to reconsider. Right now I have no idea if my reaction will be I'm OK with what's in -20 or have a suggestion.

-- 
Christopher Dearlove
[email-masked]

> On 10 Mar 2016, at 20:42, Stan Ratliff <[email-masked]> wrote:
> 
> 
> 
> 
>> On Mar 10, 2016, at 11:33 AM, Dearlove, Christopher (UK) <[email-masked] wrote:
>>

---

From: "MATTY, Steven" <[email-masked]>
Date: Mon, 14 Mar 2016 08:31:19 +0000

Hi Stan,

>From: Ratliff, Stanley [mailto:[email-masked]]
>

I don't have particularly strong feelings on the matter, but my only question would
be that, if it isn't a percentage, why not make the range 0-255 ? (and why pick 0-100 specifically?)

>> -----Original Message-----

[..snip..]

>> wasn't also done for RLQR.

[..snip..]

---

From: Stan Ratliff <[email-masked]>
Date: Mon, 14 Mar 2016 09:37:42 -0400

> pick 0-100 specifically?)

For compatibility. The definition of RLQR/RLQT was lifted from RFC5578.
Keeping this metric consistent allows for RFC5578 implementations to
produce metrics in a consistent manner.

Regards,
Stan

> privileged information or information otherwise protected from disclosure.
> If you are not the intended recipient, please notify the sender
> immediately, do not copy this message or any attachments and do not use it
> for any purpose or disclose its content to any person, but delete this
> message and any attachments from your system. Airbus Defence and Space
> Limited disclaims any and all liability if this email transmission was
> virus corrupted, altered or falsified.
> -o-
> 2449259

---

From: Lou Berger <[email-masked]>
Date: Mon, 14 Mar 2016 18:49:18 -0400

So I have some proposed editorial changes to the document, including:
1) misc minor editorial fixes
2) move all RFC2119 language from sec 3 to 9. 
3) Align section 4 and 9 so requirements are stated once.  High level
processing logic consolidated in 4, detailed packet formatting is in 9.
4) Cleanup of the IANA Section to align with related RFCs

Changes recommended but not made:
 - why defined both participants and peers
   s/DLEP Participants/DLEP Peer
or
   s/DLEP Participants/DLEP node
 (also s/implementation/<the same>)

 - make Connection Point Data Items required in Peer Offer Signals

Based on the edits I also have the following question:
- When a sending a peer offer signal is use of the well know dlep port
as the source port number a requirement or a recommendation?

I don't want to spam the list, so uploaded the changes to a temp
directory.  To see the diffs click:
http://tools.ietf.org//rfcdiff?difftype=--hwdiff&url1=http://www.ietf.org/id/draft-ietf-manet-dlep-20.txt&url2=http://labn.net/tmp/draft-ietf-manet-dlep-20-lb.txt

Lou

---

From: Rick Taylor <[email-masked]>
Date: Tue, 15 Mar 2016 12:50:31 +0000

Thank you Lou.  I will have a chat with Stan and integrate with what we 
have already.

Cheers,

Rick